uriparser 0.8.2

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions
UriIp4.h File Reference

## Functions
int | uriParseIpFourAddressA (unsigned char *octetOutput, const char *first, const char *afterLast)

## Detailed Description

Holds the IPv4 parser interface. NOTE: This header includes itself twice.

## Function Documentation

int uriParseIpFourAddressA | ( | unsigned char * | octetOutput,
|  | const char * | first,
|  | const char * | afterLast
| ) |  |

Converts a IPv4 text representation into four bytes.

Parameters

  octetOutput | Output destination
  first | First character of IPv4 text to parse
  afterLast | Position to stop parsing at

Returns
  Error code or 0 on success